Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

SOLVED

Solr 6.1.0 not supported for AEM 6.2?

Avatar

Level 5

No worries!

You're more than welcome.

Good questions!

- JK

1 Accepted Solution

Avatar

Correct answer by
Level 8

Hi Greg,

Currently, only Solr 4 and 5 are supported for MSRP.

I do not know what are the plans.

BTW - I'm moving this to the AEM Communities topic so others might see it.

- JK

View solution in original post

7 Replies

Avatar

Correct answer by
Level 8

Hi Greg,

Currently, only Solr 4 and 5 are supported for MSRP.

I do not know what are the plans.

BTW - I'm moving this to the AEM Communities topic so others might see it.

- JK

Avatar

Level 5

Sorry again for wrong forum, thanks for the answer!

Avatar

Level 5

JK Kendall wrote...

Hi Greg,

Currently, only Solr 4 and 5 are supported for MSRP.

I do not know what are the plans.

BTW - I'm moving this to the AEM Communities topic so others might see it.

- JK

 

Just to be clear, do you know if it's fully supported with the latest version of Solr 5 (v5.5.2)?

Avatar

Level 5

JK Kendall wrote...

To be safe, stay with Solr 5.4.

- JK

 

Just for grins, I tried out Solr 5.5.2 and managed to get MSRP working with both the OOTB Community Components testing sitearea and the We.Retail sample community content:

  • /content/community-components/en/comments.html
  • /content/we-retail/community/en/questions.html

Was able to query for new test UGC in both Solr admin panel as well as mongo shell!

> db.content.find({ author_username:'aparker@geometrixx.info' }).pretty() { "_id" : "b4ed87dc55526d8cf43caa44ca089e6faed6f307", "resource_type_s" : "social/commons/components/hbs/comments/comment", "base_type_s" : "social/commons/components/comments/comment", "verbatim_default" : "Test comment", "report_suite" : "mongo", "publishDate_dt" : NumberLong("1471555071883"), "cqdata" : { "referer" : "/content/community-components/en/comments.html", "ip" : "", "social:entity" : "/content/community-components/en/comments.html#8dyx_test_comment", "Referer" : "/content/community-components/en/comments.html", "userAgent" : "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/52.0.2743.116 Safari/537.36", "eventTopic" : "comment", "url" : "", "email" : "" }, "thread_id_s" : "/content/community-components/en/comments/jcr:content/content/includable/comments", "is_reply_b" : false, "authorizableId_t" : "aparker@geometrixx.info", "parent_id_s" : "/content/community-components/en/comments/jcr:content/content/includable/comments", "provider_id" : "/content/usergenerated/asi/mongo/content/community-components/en/comments/jcr:content/content/includable/comments/8dyx-test_comment", "id" : "/content/usergenerated/asi/mongo/content/community-components/en/comments/jcr:content/content/includable/comments/8dyx-test_comment", "approved_b" : true, "author_display_name" : "Alison Parker", "author_username" : "aparker@geometrixx.info", "timestamp" : NumberLong("1471555071869"), "sentiment" : 5 }

Successfully tested with AEM 6.2, MongoDB Community 3.2.8, and Solr 5.5.2

Avatar

Level 2

As this last answer is just over 3 years old, yet the official Adobe docs have not been updated since then, are any newer versions of Solr supported?  In trying to upgrade a lower environment server, I noted a number of deprecated plugins and analysis classes that were supposed to be phased out by Solr 6, so definitely don't work in Solr 8.2, but I don't see anywhere to download a more recent solrconfig.xml.

Any updates on this would be fabulous!